!***********************************************************
!* An HPF parser test program                              *
!* Name: directive_8.f90                                   *
!* Author: Giriraj Vengurlekar                             *
!* Date: Nov. 15, 1995                                     *
!* Main testing points: directive origin/INHERIT           *
!* Rules/Options touched:                                  *
!*                                                         *
!*   RULE#                 DESCRIPTION                     *
!*  H337/1                INHERIT dummy-argumentlist       *
!***********************************************************



      PROGRAM directive_8
      
      REAL SHAPE(100)

!****************************************************************************
! Check for INHERIT directive and directive ORIGIN
!****************************************************************************

!HPF$ DISTRIBUTE SHAPE(BLOCK) 
      CALL PROBATE(SHAPE)
! More Code goes here

      end

      SUBROUTINE PROBATE(CIRCLE)
      REAL CIRCLE(10)
!HPF$ INHERIT CIRCLE
     
! Some code goes here
      
      END SUBROUTINE
